/**********************************************************
* Software I2C for PIC16F887 in master mode
*
* Complier: HT PIC
* Author:  Truong Cong Tri
***********************************************************
* LIST FUNCTIONS
*
* soft_i2c_start() - issue start condition
* soft_i2c_stop()  - issue stop condition
* soft_i2c_write() - send byte data
* soft_i2c_read(ack) - read byte data: ack=0 -> NACK, ack=1 -> ACK
*
*---------------------------------------------------------*/
#ifndef _SOFTWARE_I2C_H_
#define _SOFTWARE_I2C_H_
//define IO pin for i2c communicate
#define SCL_PIN  RC6
#define SDA_PIN  RC7
#define SCL_TRIS TRISC6
#define SDA_TRIS TRISC7
void soft_i2c_start();
void soft_i2c_stop();
unsigned char soft_i2c_read(unsigned char ack);
  //ack = 1 -> send not ack signal (NACK)
  //ack = 0 -> send ack signal (ACK)
  void soft_i2c_write(unsigned char data_send);
  void i2c_write_byte(unsigned char device,unsigned char reg, unsigned char value);
  unsigned char i2c_read_byte(unsigned char device,unsigned char reg);
#endif
 